from parallels.core.utils.entity import Entity


class ServiceProvider(Entity):
    def __init__(self, service_provider_id, classname):
        self._service_provider_id = service_provider_id
        self._classname = classname

    @property
    def service_provider_id(self):
        """
        :rtype: str | unicode
        """
        return self._service_provider_id

    @property
    def classname(self):
        """
        :rtype: str | unicode
        """
        return self._classname
